<?php

include_once"base_connect.php";

switch ($part) {
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_
case "add_invite":

if(isset($type) && $type=="edit"){
$edit="1";
$lead_id=$id;
}
else{
$edit="0";
$lead_id="0";
}

$dropdowns=array(


);



$dropdowns2=array(
);

$mask1="'mask': '(999)-(9999999)'";
$mask2="'alias': 'numeric','digits': 2,'digitsOptional': false, 'placeholder': '0'";

$textfields=array(


array(
'label'=>'Guest Name',
'fname'=>person,
'class'=>'col-md-6',
'encoding'=>'0',
'format'=>'words',
'masking'=>'off',
'required'=>'1'),

array(
'label'=>'Organization',
'fname'=>cell,
'class'=>'col-md-6',
'encoding'=>'0',
'format'=>'words',
'required'=>'0'),


array(
'label'=>'dated',
'fname'=>address,
'class'=>'col-md-6',
'encoding'=>'0',
'placeholder'=>'in the Second Week of May 2022',
'hint'=>'Wednesday 11th June 2022',
'format'=>'words',
'required'=>'1'),

array(
'label'=>'time',
'fname'=>city,
'class'=>'col-md-6',
'placeholder'=>'| Evening',
'hint'=>'on 10:00 PM Night',
'encoding'=>'0',
'format'=>'words',
'required'=>'1'),

array(
'label'=>'Topic',
'fname'=>country,
'class'=>'col-md-12',
'encoding'=>'0',
'placeholder'=>'Industrialization in Pakistan',
'format'=>'words',
'required'=>'1'),

array(
'label'=>'Question 1',
'fname'=>'contact2',
'class'=>'col-md-4',
'encoding'=>'0',
'placeholder'=>'What do you think about?',
'format'=>'words',
'required'=>'1'),

array(
'label'=>'Question 2',
'fname'=>'position2',
'class'=>'col-md-4',
'encoding'=>'0',
'placeholder'=>'What do you think about 2?',
'format'=>'words',
'required'=>'1'),

array(
'label'=>'Question 3',
'fname'=>'contact3',
'class'=>'col-md-4',
'encoding'=>'0',
'placeholder'=>'What do you think about 3?',
'format'=>'words',
'required'=>'1'),

array(
'label'=>'Question 4',
'fname'=>'position3',
'class'=>'col-md-4',
'encoding'=>'0',
'placeholder'=>'What do you think about 4?',
'format'=>'words',
'required'=>'1'),

array(
'label'=>'Question 5',
'fname'=>'number2',
'class'=>'col-md-4',
'encoding'=>'0',
'placeholder'=>'What do you think about 5?',
'format'=>'words',
'required'=>'1'),


);


$integerfields=array(
);


$wysiwygfields=array(
array(
'label'=>'Content','height'=>"112",
'fname'=>'col13',
//'toolbar'=>"all",
//'placeholder'=>'hello',
'required'=>'1'));



$wysiwygfields_choice=array(


);



$checkboxfields=array(
);


$timepickfields=array(
);

$directfields=array(
array(
'fname'=>'posted_by',
'value'=>$user_id
)

);


$update_settings=array(
'update_flag'=>"Lead Edited",
'update_ref'=>"ims_update",
'update_email'=>0
);



$edit=array(
'edit'=>$edit,
'lead_id'=>$lead_id,
'e_ref'=>routine_invite_alias,
'table'=>'invites'
);


$values=array(
'texts'=>$textfields,
'integers'=>$integerfields,
'dropdowns'=>$dropdowns,
'dropdowns2'=>$dropdowns2,
'checkboxes'=>$checkboxfields,
'timepicks'=>$timepickfields,
'wysiwygs'=>$wysiwygfields,
'wysiwygs_choice'=>$wysiwygfields_choice,
'directfields'=>$directfields,
'update_settings'=>$update_settings,
'datedfield'=>dated,
'dated_table'=>'invites',
'prefix'=>'APP-',
'redirect'=>"/list/invites/",
'form_table'=>'invites',
'form_heading'=>"Entry",
'alias'=>"invite_entry"
);

make_form($values,1,$edit);
break;
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_

default;

echo "<h2>i2d App Builder Service Views Does not Exist!</h2>";

}

/////////////////////////////////////////////////////////////////////////////
include_once"../includes/app_bottom.php";


?>